curl --request GET \
--url https://app.tagadapay.com/api/public/v1/payments/{paymentId} \
--header 'Authorization: Bearer <token>'{
"id": "pay_123",
"amount": 2999,
"currency": "USD",
"status": "succeeded",
"createdAt": "2024-03-20T10:30:00Z",
"customer": {
"id": "cus_456",
"email": "john@example.com",
"firstName": "John",
"lastName": "Doe"
},
"transactions": [
{
"id": "txn_789",
"type": "purchase",
"status": "succeeded",
"amount": 2999,
"currency": "USD"
}
],
"paymentInstrument": {
"type": "card",
"card": {
"last4": "4242",
"brand": "visa",
"expYear": 2025,
"expMonth": 12
}
}
}Retrieve detailed information about a specific payment including transactions and customer data
curl --request GET \
--url https://app.tagadapay.com/api/public/v1/payments/{paymentId} \
--header 'Authorization: Bearer <token>'{
"id": "pay_123",
"amount": 2999,
"currency": "USD",
"status": "succeeded",
"createdAt": "2024-03-20T10:30:00Z",
"customer": {
"id": "cus_456",
"email": "john@example.com",
"firstName": "John",
"lastName": "Doe"
},
"transactions": [
{
"id": "txn_789",
"type": "purchase",
"status": "succeeded",
"amount": 2999,
"currency": "USD"
}
],
"paymentInstrument": {
"type": "card",
"card": {
"last4": "4242",
"brand": "visa",
"expYear": 2025,
"expMonth": 12
}
}
}